Bug 961228 - realmd-cim script not present and insecure
realmd-cim script not present and insecure
Product: Fedora
Classification: Fedora
Component: openlmi-providers (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Radek Novacek
Fedora Extras Quality Assurance
Depends On:
Blocks: 961224 1002407
  Show dependency treegraph
Reported: 2013-05-09 03:53 EDT by Stef Walter
Modified: 2016-11-30 19:31 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1002407 (view as bug list)
Last Closed: 2014-11-04 10:01:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stef Walter 2013-05-09 03:53:38 EDT
Is this script supposed to be part of the openlmi-providers examples or distribution? Please feel free to close this bug if that's not the case.


It's not included in the openlmi-providers repository.

Secondly, it makes you type two passwords on the command line. This is insecure.
Comment 1 John Dennis 2013-05-09 08:24:24 EDT
This script was in the original git repo under doc/examples, the only reason for the link in comment #1 was to make easily available for test day.

The script is supposed to an example "scription". At the time of it's writing scripton's had not been nailed down including the common connect and authenticate part which is supposed to be shared between scriptions. So while the method to get the password may not be ideal it was a place holder until the scription framework was worked out.
Comment 2 Stef Walter 2013-08-29 07:04:27 EDT
I don't think John Dennis is working on this anymore.
Comment 3 Tomas Smetana 2014-11-04 10:01:21 EST
There is a special lmi metacommand now for realmd. This bug is obsolete.

Note You need to log in before you can comment on or make changes to this bug.